Name:           python-oncodrivefml
Version:        2.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Identify signals of positive selection in somatic mutations

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/bbglab/oncodrivefml
Source:         %{pypi_source oncodrivefml}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'oncodrivefml' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-oncodrivefml
Summary:        %{summary}

%description -n python3-oncodrivefml %_description


%prep
%autosetup -p1 -n oncodrivefml-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-oncodrivefml -f %{pyproject_files}


%changelog
%autochangelog